<?xml version="1.0"?>
<Workbook xmlns="urn:schemas-microsoft-com:office:spreadsheet"
  xmlns:o="urn:schemas-microsoft-com:office:office"
  xmlns:x="urn:schemas-microsoft-com:office:excel"
  xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
  xmlns:html="http://www.w3.org/TR/REC-html40">
  <Worksheet ss:Name="mailingi">
    <Table>
      <Row>
        <Cell><Data ss:Type="String">ID</Data></Cell>
        <Cell><Data ss:Type="String">Data utworzenia</Data></Cell>
        <Cell><Data ss:Type="String">Autor</Data></Cell>
        <Cell><Data ss:Type="String">Nazwa</Data></Cell>
        <Cell><Data ss:Type="String">Data wysyłki</Data></Cell>
        <Cell><Data ss:Type="String">Status</Data></Cell>
        <Cell><Data ss:Type="String">Priorytet</Data></Cell>
        <Cell><Data ss:Type="String">Podgląd</Data></Cell>
        <Cell><Data ss:Type="String">Link do planera</Data></Cell>
      </Row>
    <% @mailings.each do |mailing| %>
      <Row>
        <Cell><Data ss:Type="Number"><%= mailing.id %></Data></Cell>
        <Cell><Data ss:Type="String"><%= mailing.created_at.strftime("%d-%m-%Y %H:%M") %></Data></Cell>
        <Cell><Data ss:Type="String"><%= mailing.author_id.name %></Data></Cell>
        <Cell><Data ss:Type="String"><%= mailing.name %></Data></Cell>
        <Cell><Data ss:Type="String"><%= mailing.send_date.to_formatted_s(:day_month_year) unless mailing.send_date.nil? %></Data></Cell>
        <Cell><Data ss:Type="String"><%= mailing.mailing_status.name unless mailing.mailing_status.nil? %></Data></Cell>
        <Cell><Data ss:Type="String"><%= mailing.priority %></Data></Cell>
        <Cell><Data ss:Type="String"><%= mailing.preview %></Data></Cell>
        <Cell><Data ss:Type="String"><%= mailing_url(mailing) %></Data></Cell>
      </Row>
    <% end %>
    </Table>
  </Worksheet>
</Workbook>

